Home | Tutorials | Wiki | Issues
Ask Your Question
0

Trying to follow 1.9/install and receiving an error

asked 2014-06-21 20:32:25 -0600

nbanyk gravatar image

updated 2014-06-23 19:49:40 -0600

scpeters gravatar image

Hello,

I am very new to Ubuntu/Gazebo/ROS and am just trying to install Gazebo 1.9 (with integration to ROS Hydro on Ubuntu 14.04). I am following the directions based here: http://gazebosim.org/wiki/1.9/install I am going through the "Compiling From Source (Ubuntu)" path. I go to step 4 of "Build And Install SDFormat" and received the below error. Thanks for any help!


nbanyk@ubuntu:~/gazebo_source/sdformat/build$ cmake ../
-- The C compiler identification is GNU 4.8.2
-- The CXX compiler identification is unknown
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
CMake Error: your CXX compiler: "CMAKE_CXX_COMPILER-NOTFOUND" was not found.   Please set CMAKE_CXX_COMPILER to a valid compiler path or name.
-- SDFormat version 1.4.11
-- Using upstream CFlags
-- 

====== Finding 3rd Party Packages ======
-- Operating system is Linux
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.26") 
-- Could NOT find Boost
CMake Error at /usr/share/cmake-2.8/Modules/FindBoost.cmake:1131 (message):
  Unable to find the requested Boost libraries.

  Unable to find the Boost header files.  Please set BOOST_ROOT to the root
  directory containing Boost or BOOST_INCLUDEDIR to the directory containing
  Boost's headers.
Call Stack (most recent call first):
  cmake/SearchForStuff.cmake:8 (find_package)
  CMakeLists.txt:137 (include)


--  Boost not found. Please install thread signals system filesystem program_options regex boost version  or higher.
-- checking for module 'tinyxml'
--   package 'tinyxml' not found
-- Looking for tinyxml headers - not found
-- Looking for tinyxml library - not found
-- Looking for tinyxml.h - not found
--  Missing: tinyxml
-- ----------------------------------------

-- BUILD ERRORS: These must be resolved before compiling.
--  Boost not found. Please install thread signals system filesystem program_options regex boost version  or higher.
--  Missing: tinyxml
-- END BUILD ERRORS

CMake Error at CMakeLists.txt:175 (message):
  Errors encountered in build.  Please see the BUILD ERRORS above.


-- Configuring incomplete, errors occurred!
See also "/home/nbanyk/gazebo_source/sdformat/build/CMakeFiles/CMakeOutput.log".
See also "/home/nbanyk/gazebo_source/sdformat/build/CMakeFiles/CMakeError.log"
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2014-06-22 05:25:48 -0600

Hi,

I don't think ros hydro can be installed on ubuntu versions newer than 13.04. If you want to use the newest ubuntu version you have to use indigo which is not officialy released yet but prerelease version are already available.

If you don't plan to change the gazebo source code I would recommend to install gazebo via apt. ROS Hydro comes with gazebo 1.9/indigo with 2.2.

I'm not sure if gazebo 1.9 can be compiled with ubuntu 14.04(I have not tried it) but you may have problems with

newer gcc version; newer ogre version; newer ...

so my recommendation is use ubuntu 12.04 with hydro and gazebo 1.9 (or a newer gazebo version available as ros-hydro-<gazebo-pkg>-current via the osrf repos)

or use ubuntu 14.04 with indigo(which should have an official release very soon[it was scheduled for may ;) ]) and gazebo 2.2

If you still want to try compiling it all from source:

Your errors seem to be caused by boost libs that are not installed or maybe again to new... ;)

Good luck

greeting

Benjamin

edit flag offensive delete link more

Comments

thanks for your quick response! I will try your ubuntu 12.04 recommendation and report back.

nbanyk gravatar imagenbanyk ( 2014-06-22 17:26:30 -0600 )edit
0

answered 2014-06-23 19:53:05 -0600

scpeters gravatar image

Gazebo can be built on ubuntu 14.04 (trusty), and ros indigo as well (though perhaps not hydro). From the cmake messages, it looks like you don't have boost or a proper c++ compiler installed. Try following the instructions at this tutorial; the wiki tutorials may be out of date.

edit flag offensive delete link more

Comments

thanks but I switched to ubuntu 12.04 and was successful with gazebo 1.9 and hydro

nbanyk gravatar imagenbanyk ( 2014-06-23 20:22:15 -0600 )edit
Login/Signup to Answer

Question Tools

Stats

Asked: 2014-06-21 20:32:25 -0600

Seen: 929 times

Last updated: Jun 23 '14